#
# spec file for package python-pefile
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-pefile
Version:        1.2.10+139
Release:        5.2
Summary:        A python module to work with PE (pertable executable) files
License:        BSD-3-Clause
Group:          Development/Libraries/Python
Url:            https://github.com/erocarrera/pefile
Source0:        https://github.com/erocarrera/pefile/archive/pefile-1.2.10-139.tar.gz
Source1:        http://reverse-engineering-scripts.googlecode.com/files/UserDB.TXT
Patch1:         force_version.patch
BuildRequires:  python-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
PEFILE is a python module that is often used in malware analysis. (Replace this with text from website.)

%prep
%setup -q -n pefile-pefile-1.2.10-139
%patch1 -p1
cp %{SOURCE1} .
sed -i "s|\r||" COPYING UserDB.TXT

%build
python setup.py build

%install
python setup.py install --root=%{buildroot} --prefix=%{_prefix}
install -D -m 644 UserDB.TXT %{buildroot}%{_datadir}/python-pefile/UserDB.TXT

%files
%defattr(-,root,root)
%doc COPYING README
%{_datadir}/python-pefile/
%{python_sitelib}/*

%changelog
* Thu May 14 2015 Greg.Freemyer@gmail.com
- upgrade to v1.2.10-139
  * Merged path from ThreatGrid's Wesley Brown. Thanks!
  Summary: changed memory mapping usage,
  revamped to use bytearrays rather than list,
  complete rewrite of the checksum generation algorithm to be much more memory efficient,
  less susceptible to PE bomb attacks
  * Corrected some doctrings
  * Added WIndow 8 support
  * Added more subsystem types
  * Added Mandiant's ordlookup to resolve the names for some symbols
  * Better handling of the Rich Header
- updated license to BSD-3-Clause
- moved UserDB.txt to /usr/share/python-pefile
  * This is a PE file signature database.
  * It is available to callers of python-pefile,
  but the caller must explicitely point the USERDB variable at it.
- Add force-version.patch because upstream depends on SCR checkout mechanism
* Tue Nov 20 2012 saschpe@suse.de
- Cleanup excessive macro usage
- Fix SLE_11_SP2 build (not noarch there)
- No need for dos2unix, sed is enough
* Fri Sep 21 2012 Greg.Freemyer@gmail.com
- initial package
- v1.2.10-121
- call dos2unix on a couple text files that have dos line endings
